#!/usr/bin/perl -w
# $Id: Makefile.PL,v 1.5 2003/11/16 07:09:00 ianb Exp $
# ianb@nessie.mcc.ac.uk 20031021

use ExtUtils::MakeMaker;

WriteMakefile(NAME=>"MP3::Archive",
			  DISTNAME=>"libmp3-archive-perl",
			  VERSION_FROM=>"lib/MP3/Archive.pm",
			  dist=>{ COMPRESS=>"gzip -9f", SUFFIX=>"gz"},
			  			  ($] >= 5.005
			   ? (ABSTRACT   => 'Parse filenames in a music archive',
				  AUTHOR     => 'Ian Beckwith <ianb@nessie.mcc.ac.uk>')
			   : ()),

			  );

######################################################################


{
package MY;

sub constants {

    my $self = shift;
    my $inherited = $self->SUPER::constants(@_);

    my $add = q{

# begin mp3archive
INST_SYSCONFDIR = blib/etc
INSTALLSYSCONFDIR = /etc
DESTINSTALLSYSCONFDIR = $(DESTDIR)$(INSTALLSYSCONFDIR)	
# end mp3archive

};

    return $inherited . $add;

}


sub MY::top_targets {

    use Config;

    my $self = shift;
    my $inherited = $self->SUPER::top_targets(@_);

	my ($perlh) = $self->catfile($Config{archlibexp}, 'CORE', "perl.h");

    my $noecho = q{NOECHO = @} unless $inherited =~ /NOECHO/;

    my $add = sprintf <<'MAKE_FRAG', $perlh, $perlh;

# begin mp3archive
config :: $(INST_SYSCONFDIR)/.exists
	@$(NOOP)

$(INST_SYSCONFDIR)/.exists :: %s
	@$(MKPATH) $(INST_SYSCONFDIR)
	@$(EQUALIZE_TIMESTAMP) %s $(INST_SYSCONFDIR)/.exists
	-@$(CHMOD) $(PERM_RWX) $(INST_SYSCONFDIR)
	@$(CP) etc/mp3archiverc $(INST_SYSCONFDIR)
# end mp3archive

MAKE_FRAG

    return $inherited . $add;
}



sub MY::install {

  my $self = shift;
  my $inherited = $self->SUPER::install(@_);
  my $conf="\t\t\$(INST_SYSCONFDIR) \$(DESTINSTALLSYSCONFDIR)";
  $inherited =~ s/(^\s*\$\(INST_MAN3DIR\s*.*MAN3DIR\))/$1 \\\n$conf/gm;

  return $inherited;
}

}
